﻿#region

using System;
using System.Collections.Generic;
using CDNSync.Providers.Model;

#endregion

namespace CDNSync.Providers
{
    public interface IProviderClient : IDisposable
    {
        bool Authenticate(string userName, string password);

        bool BucketExists(string bucketName);

        UploadFilesResult Upload(IEnumerable<FileUploadRequest> filesToUpload, string bucketName);

        CreateBucketResult CreateBucket(string bucketName, BucketRegion region);

        //string CreateDistribution(string bucketName, string[] cnames);

        //bool DistributionExists(string bucketName);
    }
}