﻿#region

using CDNSync.Providers.Impl;

#endregion

namespace CDNSync.Providers
{
    public class ProviderClientFactory : IProviderClientFactory
    {
        #region IProviderClientFactory Members

        public IProviderClient Create(CDNProvider provider)
        {
            IProviderClient providerClient = null;
            switch (provider)
            {
                case CDNProvider.Amazon:
                    providerClient = new AmazonProviderClient();
                    break;
            }

            return providerClient;
        }

        #endregion
    }
}