﻿#region

using CDNSync.Providers.Model;

#endregion

namespace CDNSync
{
    public class SyncFilesRequest
    {
        public CDNProvider Provider { get; set; }

        public string BucketName { get; set; }

        public string UserName { get; set; }

        public string Password { get; set; }

        public BucketRegion Region { get; set; }

        public string[] Files { get; set; }

        public bool UseFolderNameInKey { get; set; }

        public string[] Folders { get; set; }

        public bool Recursive { get; set; }

        public string FileNamePrefix { get; set; }

        public string FileNameSuffix { get; set; }

        public string[] GZipExtensions { get; set; }
    }
}